---
title: RTCPeerConnection.getDefaultIceServers()
slug: Web/API/RTCPeerConnection/getDefaultIceServers
tags:
  - Experimental
  - ICE
  - Property
  - RTCPeerConnection
  - Reference
  - WebRTC
  - getDefaultIceServers
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p>The <code><strong>getDefaultIceServers()</strong></code> method of the {{domxref("RTCPeerConnection")}} interface returns an array of objects based on the {{domxref("RTCIceServer")}} dictionary, which indicates what, if any, ICE servers the browser will use by default if none are provided to the {{domxref("RTCPeerConnection")}} in its {{domxref("RTCConfiguration")}}. However, browsers are <strong>not</strong> required to provide any default ICE servers at all.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> var <em>defaultIceServers</em> = <em>RTCPeerConnection</em>.getDefaultIceServers();</pre>

<h3 id="Return_value">Return value</h3>

<p>An array of ICE servers, specified as objects based on {{domxref("RTCIceServer")}}, which the browser will use if none are specified in the configuration of the {{domxref("RTCPeerConnection")}}. If there are no defaults provided by the browser, the returned array is empty; this property's value is never <code>null</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var pc = new RTCPeerConnection();
var iceServers = pc.getDefaultIceServers();

if (iceServers.length === 0) {
  // Deal with the lack of default ICE servers, possibly by using our own defaults
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://w3c.github.io/webrtc-extensions/#dom-rtcpeerconnection-getdefaulticeservers">WebRTC Extensions</a></td>
   <td></td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.getDefaultIceServers")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
 <li>{{domxref("RTCConfiguration")}}</li>
</ul>
